Bug 220525 - Support -ldl.
Summary: Support -ldl.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-06 19:05 UTC by Konstantin Belousov
Modified: 2019-09-05 09:35 UTC (History)
1 user (show)

See Also:
linimon: exp-run?


Attachments
src/ patch (7.74 KB, patch)
2017-07-06 19:05 UTC, Konstantin Belousov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Belousov freebsd_committer 2017-07-06 19:05:00 UTC
Created attachment 184140 [details]
src/ patch

This is a patch to add libdl.so.  See more extensive explanation and some questions answered in https://reviews.freebsd.org/D11504 .

Hopefully this would not change anything for working ports, but I am asking for exp-run to be on the safe side.
Comment 1 Antoine Brodin freebsd_committer 2017-07-10 05:33:16 UTC
There is 1 new failure on head:  devel/xparam

Failure log:

http://package22.nyi.freebsd.org/data/headamd64PR220525-default/2017-07-09_16h18m10s/logs/errors/xparam-1.22_3.log

The configure script output differs:

-checking for dlopen in -ldl... no
+checking for dlopen in -ldl... yes

Then build doesn't have the extra -DNO_DYNAMIC_LOADING anymore.
Comment 2 Konstantin Belousov freebsd_committer 2017-07-10 06:16:29 UTC
(In reply to Antoine Brodin from comment #1)
Thank you for the run.

I will go forward with the src commit, then provide a patch for the port.  It is clearly due to a code which was never compiled, at least not on FreeBSD, uncovered by the environment change.
Comment 3 Konstantin Belousov freebsd_committer 2017-07-11 06:48:59 UTC
(In reply to Konstantin Belousov from comment #2)
The fix for devel/xparam is to remove files/patch-lib__sources__xpv_dynamic_loader.cpp.
Comment 4 commit-hook freebsd_committer 2017-07-11 08:05:51 UTC
A commit references this bug:

Author: antoine
Date: Tue Jul 11 08:05:40 UTC 2017
New revision: 445472
URL: https://svnweb.freebsd.org/changeset/ports/445472

Log:
  Remove unneeded patch, that breaks build with libdl

  PR:		220525

Changes:
  head/devel/xparam/files/patch-lib__sources__xpv_dynamic_loader.cpp
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2017-07-19 15:54:24 UTC
Apparently committed.
Comment 6 Baptiste Daroussin freebsd_committer 2019-09-05 09:35:28 UTC
The code has landed long ago in SRC, if there are fallouts from this a dedicated PR should be opened